Bug 31951 - RDP session ignores rdp/geometry
RDP session ignores rdp/geometry
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: General
unspecified
Other Linux
: P5 normal
: UCC 2.0
Assigned To: Moritz Muehlenhoff
Erik Damrose
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-11 10:33 CEST by Felix Botner
Modified: 2014-06-12 09:19 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2013-07-11 10:33:44 CEST
see /usr/share/xsessions/RDP,

...
params=(-f)
...
if [ -n "$rdp_geometry" ]; then
    params+=(-g "$rdp_geometry")
fi


If -f is set, it is used no matter if -g (rdp/geometry) is also set.

better:

if [ -n "$rdp_geometry" ]; then
    params+=(-g "$rdp_geometry")
else
    params=(-f)
fi
Comment 1 Felix Botner univentionstaff 2013-07-11 11:09:54 CEST
> if [ -n "$rdp_geometry" ]; then
>     params+=(-g "$rdp_geometry")
> else
>     params=(-f)
> fi

...
else
    params+=(-f) # !!!!!!!!!!!!!
fi
Comment 2 Moritz Muehlenhoff univentionstaff 2014-05-15 13:17:49 CEST
Fixed in revision 50299
Comment 3 Erik Damrose univentionstaff 2014-05-20 10:57:57 CEST
Changelog ok.
Configuring rdp/geometry does start the rdp session windows, with the desired resolution. 
-> Verified
Comment 4 Moritz Muehlenhoff univentionstaff 2014-06-12 09:19:58 CEST
UCC 2.0 has been released:
 http://docs.univention.de/release-notes-ucc-2.0.html

If this error occurs again, please use "Clone This Bug".